L1=link([-pi/2,0,    0,   0,0]);
L2=link([ pi/2,0,    0, 0.2,0]);
L3=link([    0,0,    0, 0.5,1]);
L4=link([-pi/2,0,-pi/2,   0,0]);
L5=link([ pi/2,0,-pi/2,   0,0]);
L6=link([    0,0, pi/2,0.25,0]);

robot_stan=robot({L1,L2,L3,L4,L5,L6});
q=[0,0,0.5,-pi/2,-pi/2,pi/2];
T06=fkine(robot_stan,q);
J=jacob0(robot_stan,q);


syms th1 th2 d3

A01=[cos(th1),0,-sin(th1),0;sin(th1),0,cos(th1),0;0,-1,0,0;0,0,0,1];
A12=[cos(th2),0,sin(th2),0;sin(th2),0,-cos(th2),0;0,1,0,0.2;0,0,0,1];
A23=[1,0,0,0;0,1,0,0;0,0,1,d3;0,0,0,1];

Tsym=simple(A01*A12*A23);
z0=[0;0;1];
z1=A01(1:3,3);
p=Tsym(1:3,4);
p1=A01(1:3,4);
A02=A01*A12;
z2=A02(1:3,3);
Jsym=[cross(z0,p),cross(z1,p-p1),z2];
simplify(det(Jsym))

